searchNodes=[{"type":"module","title":"ExWeatherkit","doc":"ExWeatherkit is an Apple WeatherKit REST API client for Elixir","ref":"ExWeatherkit.html"},{"type":"function","title":"ExWeatherkit.current_weather/4","doc":"Get current weather for a latitude and longitude Parameters lat: The latitude of the desired location lng: The longitude of the desired location lang: The language tag to use for localizing responses tz: The name of the timezone to use for rolling up weather forecasts into daily forecasts Example: iex&gt; ExWeatherkit . current_weather ( 39.183608 , - 96.571669 )","ref":"ExWeatherkit.html#current_weather/4"},{"type":"function","title":"ExWeatherkit.forecast_daily/4","doc":"Get daily forecast for a latitude and longitude Parameters lat: The latitude of the desired location lng: The longitude of the desired location lang: The language tag to use for localizing responses tz: The name of the timezone to use for rolling up weather forecasts into daily forecasts Example: iex&gt; ExWeatherkit . forecast_daily ( 39.183608 , - 96.571669 )","ref":"ExWeatherkit.html#forecast_daily/4"},{"type":"function","title":"ExWeatherkit.forecast_hourly/4","doc":"Get hourly forecast for a latitude and longitude Parameters lat: The latitude of the desired location lng: The longitude of the desired location lang: The language tag to use for localizing responses tz: The name of the timezone to use for rolling up weather forecasts into daily forecasts Example: iex&gt; ExWeatherkit . forecast_hourly ( 39.183608 , - 96.571669 )","ref":"ExWeatherkit.html#forecast_hourly/4"},{"type":"function","title":"ExWeatherkit.forecast_next_hour/4","doc":"Get next hour forecast for a latitude and longitude Parameters lat: The latitude of the desired location lng: The longitude of the desired location lang: The language tag to use for localizing responses tz: The name of the timezone to use for rolling up weather forecasts into daily forecasts Example: iex&gt; ExWeatherkit . forecast_next_hour ( 39.183608 , - 96.571669 )","ref":"ExWeatherkit.html#forecast_next_hour/4"},{"type":"function","title":"ExWeatherkit.weather_alerts/5","doc":"Get weather alerts for a latitude and longitude Parameters lat: The latitude of the desired location lng: The longitude of the desired location lang: The language tag to use for localizing responses tz: The name of the timezone to use for rolling up weather forecasts into daily forecasts country_code: The ISO Alpha-2 country code for the requested location Example: iex&gt; ExWeatherkit . weather_alerts ( 39.183608 , - 96.571669 )","ref":"ExWeatherkit.html#weather_alerts/5"},{"type":"function","title":"ExWeatherkit.weather_multi/6","doc":"Get multiple weather data sets for a latitude and longitude Parameters lat: The latitude of the desired location lng: The longitude of the desired location lang: The language tag to use for localizing responses tz: The name of the timezone to use for rolling up weather forecasts into daily forecasts data_sets: A list of data sets to include in the response, possible values: currentWeather, forecastDaily, forecastHourly, forecastNextHour, weatherAlerts country_code: The ISO Alpha-2 country code of the requested location Example: iex&gt; ExWeatherkit . weather_multi ( 39.183608 , - 96.571669 , [ &quot;currentWeather&quot; , &quot;forecastDaily&quot; ] )","ref":"ExWeatherkit.html#weather_multi/6"},{"type":"extras","title":"ExWeatherkit","doc":"An Apple WeatherKit REST API client for Elixir","ref":"readme.html"},{"type":"extras","title":"ExWeatherkit - Installation","doc":"The package can be installed by adding ex_weatherkit to your list of dependencies in mix.exs : def deps do [ { :ex_weatherkit , &quot;~&gt; 0.1.0&quot; } ] end You will need an Apple Developer Program membership to create a private key for WeatherKit access and a Service ID to access the WeatherKit REST API. Once you have those along with your ADP membership Team ID, add the required values to your config file (preferable to load values from env variables) config :ex_weatherkit , key_id : &quot;ABCDEF1234&quot; service_id : &quot;com.example.weatherkitclient&quot; team_id : &quot;ZYXWVU8765&quot; private_key : &quot;&quot;&quot;-----BEGIN PRIVATE KEY-----....&quot;&quot;&quot;","ref":"readme.html#installation"},{"type":"extras","title":"ExWeatherkit - Usage","doc":"Current weather { :ok , weather , _status } = ExWeatherkit . current_weather ( 39.183608 , - 96.571669 ) { :ok , %{ &quot;currentWeather&quot; =&gt; %{ &quot;asOf&quot; =&gt; &quot;2023-09-17T13:28:23Z&quot; , &quot;cloudCover&quot; =&gt; 0.13 , &quot;cloudCoverHighAltPct&quot; =&gt; 0.0 , &quot;cloudCoverLowAltPct&quot; =&gt; 0.2 , &quot;cloudCoverMidAltPct&quot; =&gt; 0.0 , &quot;conditionCode&quot; =&gt; &quot;MostlyClear&quot; , &quot;daylight&quot; =&gt; true , &quot;humidity&quot; =&gt; 0.83 , &quot;metadata&quot; =&gt; %{ &quot;attributionURL&quot; =&gt; &quot;https://developer.apple.com/weatherkit/data-source-attribution/&quot; , &quot;expireTime&quot; =&gt; &quot;2023-09-17T13:33:23Z&quot; , &quot;latitude&quot; =&gt; 39.184 , &quot;longitude&quot; =&gt; - 96.572 , &quot;readTime&quot; =&gt; &quot;2023-09-17T13:28:23Z&quot; , &quot;reportedTime&quot; =&gt; &quot;2023-09-17T12:13:09Z&quot; , &quot;units&quot; =&gt; &quot;m&quot; , &quot;version&quot; =&gt; 1 } , &quot;name&quot; =&gt; &quot;CurrentWeather&quot; , &quot;precipitationIntensity&quot; =&gt; 0.0 , &quot;pressure&quot; =&gt; 1019.47 , &quot;pressureTrend&quot; =&gt; &quot;rising&quot; , &quot;temperature&quot; =&gt; 13.49 , &quot;temperatureApparent&quot; =&gt; 13.08 , &quot;temperatureDewPoint&quot; =&gt; 10.73 , &quot;uvIndex&quot; =&gt; 0 , &quot;visibility&quot; =&gt; 23615.8 , &quot;windDirection&quot; =&gt; 18 , &quot;windGust&quot; =&gt; 10.27 , &quot;windSpeed&quot; =&gt; 5.1 } } , 200 } Daily forecast { :ok , weather , _status } = ExWeatherkit . forecast_daily ( 39.183608 , - 96.571669 ) Hourly forecast { :ok , weather , _status } = ExWeatherkit . forecast_hourly ( 39.183608 , - 96.571669 ) Next hour forecast { :ok , weather , _status } = ExWeatherkit . forecast_next_hour ( 39.183608 , - 96.571669 ) Weather alerts { :ok , weather , _status } = ExWeatherkit . weather_alerts ( 39.183608 , - 96.571669 ) Multiple weather datasets { :ok , weather , _status } = ExWeatherkit . weather_multi ( 39.183608 , - 96.571669 , [ &quot;currentWeather&quot; , &quot;forecastDaily&quot; ] )","ref":"readme.html#usage"},{"type":"extras","title":"LICENSE","doc":"MIT License Copyright (c) 2023 Bryce Johnston Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"}]